local TheStarsLogic = require("theStars.TheStarsLogic")

function CG_THE_STARS_QUERY(human)
    TheStarsLogic.theStarsQuery(human)
end

function CG_THE_STARS_CHALLENGE(human,msg)
    local args = {msg.id,msg.evolveCnt,msg.vestId}

    TheStarsLogic.fight(human,args) 
end

function CG_THE_STARS_RECORD_QUERY(human,msg)
    TheStarsLogic.recordQuery(human,msg.vestId)
end

function CG_THE_STARS_THRONE_QUERY(human,msg)
    TheStarsLogic.theStarsThroneQuery(human,msg.id,msg.vestId)
end